Package org.apache.any23.vocab

## Class CSV

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.CSV

-     public class CSV
      extends Vocabulary

  This vocabulary models the structure of a CSV file according the RFC 4180.
  Author:
    Davide Palmisano (dpalmisano@gmail.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COLUMN_POSITION` |
    `org.eclipse.rdf4j.model.IRI` | `columnPosition` | This property expresses the index of a column in a CSV file.
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `static String` | `NUMBER_OF_COLUMNS` |
    `static String` | `NUMBER_OF_ROWS` |
    `org.eclipse.rdf4j.model.IRI` | `numberOfColumns` | This property expresses the number of columns in a CSV file.
    `org.eclipse.rdf4j.model.IRI` | `numberOfRows` | This property expresses the number of rows in a CSV file.
    `org.eclipse.rdf4j.model.IRI` | `row` | This property links the identifier of a CSV to an entity representing a row.
    `static String` | `ROW` |
    `static String` | `ROW_POSITION` |
    `static String` | `ROW_TYPE` |
    `org.eclipse.rdf4j.model.IRI` | `rowPosition` | This property expresses the index of a row in a CSV file.
    `org.eclipse.rdf4j.model.IRI` | `rowType` | This resource identifies a Row.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `createProperty​(String localName)` |
    `org.eclipse.rdf4j.model.IRI` | `createResource​(String localName)` |
    `static CSV` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROW

          public static final String ROW

      See Also:
        Constant Field Values

    - #### ROW_POSITION

          public static final String ROW_POSITION

      See Also:
        Constant Field Values

    - #### NUMBER_OF_ROWS

          public static final String NUMBER_OF_ROWS

      See Also:
        Constant Field Values

    - #### NUMBER_OF_COLUMNS

          public static final String NUMBER_OF_COLUMNS

      See Also:
        Constant Field Values

    - #### COLUMN_POSITION

          public static final String COLUMN_POSITION

      See Also:
        Constant Field Values

    - #### ROW_TYPE

          public static final String ROW_TYPE

      See Also:
        Constant Field Values

    - #### row

          public final org.eclipse.rdf4j.model.IRI row

      This property links the identifier of a CSV to an entity representing a row.

    - #### rowPosition

          public final org.eclipse.rdf4j.model.IRI rowPosition

      This property expresses the index of a row in a CSV file.

    - #### numberOfRows

          public final org.eclipse.rdf4j.model.IRI numberOfRows

      This property expresses the number of rows in a CSV file.

    - #### numberOfColumns

          public final org.eclipse.rdf4j.model.IRI numberOfColumns

      This property expresses the number of columns in a CSV file.

    - #### rowType

          public final org.eclipse.rdf4j.model.IRI rowType

      This resource identifies a Row.

    - #### columnPosition

          public final org.eclipse.rdf4j.model.IRI columnPosition

      This property expresses the index of a column in a CSV file.

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static CSV getInstance()

    - #### createResource

          public org.eclipse.rdf4j.model.IRI createResource​(String localName)

    - #### createProperty

          public org.eclipse.rdf4j.model.IRI createProperty​(String localName)

      Parameters:
        `localName` - name to assign to namespace.
      Returns:
        the new URI instance.